#!/bin/bash
dir="$(dirname $0)"
adfs_fingerprint=`openssl s_client -connect adfs.ntu.edu.tw:443 < /dev/null 2>/dev/null | openssl x509 -fingerprint -noout -in /dev/stdin| cut -d '=' -f2`
if [ ! -z "$adfs_fingerprint" ]; then
  echo "$adfs_fingerprint" > "$dir/adfs_fingerprint.txt"
fi
